Package com.scriptel.proscript.cardswipe

## Enum FinancialCardIssuer

- java.lang.Object
- - java.lang.Enum<FinancialCardIssuer>
  - - com.scriptel.proscript.cardswipe.FinancialCardIssuer

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<FinancialCardIssuer>`

      public enum FinancialCardIssuer
      extends java.lang.Enum<FinancialCardIssuer>

  This class attempts to identify credit card issuers based on patterns in the numbers each vendor issues.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `AMERICAN_EXPRESS` |
    `CARTE_BLANCH` |
    `DINERS_CLUB` |
    `DISCOVER` |
    `ENROUTE` |
    `JCB` |
    `MASTER_CARD` |
    `UNKNOWN` |
    `VISA` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getIssuerName()` | Gets the issuer name.
    `java.util.regex.Pattern` | `getRegex()` | This method gets the regular expression pattern used to match the card number for this member.
    `java.lang.String` | `getRegexString()` | Gets the regular expression string.
    `static FinancialCardIssuer` | `identifyByCardNumber​(java.lang.String number)` | This method attempts to identify the issuer of a credit card based on a credit card number.
    `static FinancialCardIssuer` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static FinancialCardIssuer[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### AMERICAN_EXPRESS

          public static final FinancialCardIssuer AMERICAN_EXPRESS

    - #### DINERS_CLUB

          public static final FinancialCardIssuer DINERS_CLUB

    - #### CARTE_BLANCH

          public static final FinancialCardIssuer CARTE_BLANCH

    - #### DISCOVER

          public static final FinancialCardIssuer DISCOVER

    - #### ENROUTE

          public static final FinancialCardIssuer ENROUTE

    - #### JCB

          public static final FinancialCardIssuer JCB

    - #### MASTER_CARD

          public static final FinancialCardIssuer MASTER_CARD

    - #### VISA

          public static final FinancialCardIssuer VISA

    - #### UNKNOWN

          public static final FinancialCardIssuer UNKNOWN

  - ### Method Detail

    - #### values

          public static FinancialCardIssuer[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FinancialCardIssuer c : FinancialCardIssuer.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FinancialCardIssuer valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### identifyByCardNumber

          public static FinancialCardIssuer identifyByCardNumber​(java.lang.String number)

      This method attempts to identify the issuer of a credit card based on a credit card number.
      Parameters:
        `number` - Number to inspect.
      Returns:
        Issuer if identified, UNKNOWN otherwise.

    - #### getIssuerName

          public java.lang.String getIssuerName()

      Gets the issuer name.
      Returns:
        Human-friendly issuer name.

    - #### getRegexString

          public java.lang.String getRegexString()

      Gets the regular expression string.
      Returns:
        Regular expression string.

    - #### getRegex

          public java.util.regex.Pattern getRegex()

      This method gets the regular expression pattern used to match the card number for this member.
      Returns:
        Regular expression pattern.